using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace ShaferExample
{
    /// <summary>
    /// Interaction logic for OnlineActivation.xaml
    /// </summary>
    public partial class OnlineActivation : Page, IBaseActivationPage
    {
        public OnlineActivation()
        {
            InitializeComponent();
            tbLicenseCode.Focus();
        }

        private void GetLicense(object sender, RoutedEventArgs e)
        {
            CurrentWindow.GetLicenseOnline(tbLicenseCode.Text);
        }

        private void OfflineActivation(object sender, MouseButtonEventArgs e)
        {
            CurrentWindow.SetOfflineActivation();
        }

        private void AblActivation(object sender, MouseButtonEventArgs e)
        {
            CurrentWindow.SetAblActivation();
        }
        
        private void Cancel(object sender, RoutedEventArgs e)
        {
            CurrentWindow.Cancel();
        }

        public RegistrationWindow CurrentWindow { get; set; }
    }
}
